Package com.google.debugging.sourcemap.proto

# Class Mapping.LineMapping.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<Mapping.LineMapping.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<Mapping.LineMapping.Builder>
com.google.debugging.sourcemap.proto.Mapping.LineMapping.Builder

All Implemented Interfaces:
  `Mapping.LineMappingOrBuilder`, `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Cloneable`

Enclosing class:
  `Mapping.LineMapping`

public static final class Mapping.LineMapping.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<Mapping.LineMapping.Builder> implements Mapping.LineMappingOrBuilder

     Maps a position on a given line to the mapping describing
     the original code.

Protobuf type `sourcemap.LineMapping`

## Method Summary

Modifier and Type
Method
Description
`Mapping.LineMapping.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Mapping.LineMapping`
`build()`
`Mapping.LineMapping`
`buildPartial()`
`Mapping.LineMapping.Builder`
`clear()`
`Mapping.LineMapping.Builder`
`clearColumnPosition()`
The column position on the line.
`Mapping.LineMapping.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Mapping.LineMapping.Builder`
`clearLineNumber()`
The line number of the generated code.
`Mapping.LineMapping.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Mapping.LineMapping.Builder`
`clearOriginalMapping()`
The original mapping for this line mapping.
`Mapping.LineMapping.Builder`
`clone()`
`int`
`getColumnPosition()`
The column position on the line.
`Mapping.LineMapping`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`int`
`getLineNumber()`
The line number of the generated code.
`Mapping.OriginalMapping`
`getOriginalMapping()`
The original mapping for this line mapping.
`Mapping.OriginalMapping.Builder`
`getOriginalMappingBuilder()`
The original mapping for this line mapping.
`Mapping.OriginalMappingOrBuilder`
`getOriginalMappingOrBuilder()`
The original mapping for this line mapping.
`boolean`
`hasColumnPosition()`
The column position on the line.
`boolean`
`hasLineNumber()`
The line number of the generated code.
`boolean`
`hasOriginalMapping()`
The original mapping for this line mapping.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`Mapping.LineMapping.Builder`
`mergeFrom(Mapping.LineMapping other)`
`Mapping.LineMapping.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Mapping.LineMapping.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`Mapping.LineMapping.Builder`
`mergeOriginalMapping(Mapping.OriginalMapping value)`
The original mapping for this line mapping.
`final Mapping.LineMapping.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Mapping.LineMapping.Builder`
`setColumnPosition(int value)`
The column position on the line.
`Mapping.LineMapping.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Mapping.LineMapping.Builder`
`setLineNumber(int value)`
The line number of the generated code.
`Mapping.LineMapping.Builder`
`setOriginalMapping(Mapping.OriginalMapping value)`
The original mapping for this line mapping.
`Mapping.LineMapping.Builder`
`setOriginalMapping(Mapping.OriginalMapping.Builder builderForValue)`
The original mapping for this line mapping.
`Mapping.LineMapping.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final Mapping.LineMapping.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.LineMapping.Builder>`

### clear

public Mapping.LineMapping.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.LineMapping.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.LineMapping.Builder>`

### getDefaultInstanceForType

public Mapping.LineMapping getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public Mapping.LineMapping build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public Mapping.LineMapping buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public Mapping.LineMapping.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.LineMapping.Builder>`

### setField

public Mapping.LineMapping.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.LineMapping.Builder>`

### clearField

public Mapping.LineMapping.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.LineMapping.Builder>`

### clearOneof

public Mapping.LineMapping.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.LineMapping.Builder>`

### setRepeatedField

public Mapping.LineMapping.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.LineMapping.Builder>`

### addRepeatedField

public Mapping.LineMapping.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.LineMapping.Builder>`

### mergeFrom

public Mapping.LineMapping.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Mapping.LineMapping.Builder>`

### mergeFrom

public Mapping.LineMapping.Builder mergeFrom(Mapping.LineMapping other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.LineMapping.Builder>`

### mergeFrom

public Mapping.LineMapping.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Mapping.LineMapping.Builder>`
Throws:
  `IOException`

### hasLineNumber

public boolean hasLineNumber()

     The line number of the generated code.

`optional int32 line_number = 1;`

Specified by:
  `hasLineNumber` in interface `Mapping.LineMappingOrBuilder`
Returns:
  Whether the lineNumber field is set.

### getLineNumber

public int getLineNumber()

     The line number of the generated code.

`optional int32 line_number = 1;`

Specified by:
  `getLineNumber` in interface `Mapping.LineMappingOrBuilder`
Returns:
  The lineNumber.

### setLineNumber

public Mapping.LineMapping.Builder setLineNumber(int value)

     The line number of the generated code.

`optional int32 line_number = 1;`

Parameters:
  `value` - The lineNumber to set.
Returns:
  This builder for chaining.

### clearLineNumber

public Mapping.LineMapping.Builder clearLineNumber()

     The line number of the generated code.

`optional int32 line_number = 1;`

Returns:
  This builder for chaining.

### hasColumnPosition

public boolean hasColumnPosition()

     The column position on the line.

`optional int32 column_position = 2;`

Specified by:
  `hasColumnPosition` in interface `Mapping.LineMappingOrBuilder`
Returns:
  Whether the columnPosition field is set.

### getColumnPosition

public int getColumnPosition()

     The column position on the line.

`optional int32 column_position = 2;`

Specified by:
  `getColumnPosition` in interface `Mapping.LineMappingOrBuilder`
Returns:
  The columnPosition.

### setColumnPosition

public Mapping.LineMapping.Builder setColumnPosition(int value)

     The column position on the line.

`optional int32 column_position = 2;`

Parameters:
  `value` - The columnPosition to set.
Returns:
  This builder for chaining.

### clearColumnPosition

public Mapping.LineMapping.Builder clearColumnPosition()

     The column position on the line.

`optional int32 column_position = 2;`

Returns:
  This builder for chaining.

### hasOriginalMapping

public boolean hasOriginalMapping()

     The original mapping for this line mapping.

`optional .sourcemap.OriginalMapping original_mapping = 3;`

Specified by:
  `hasOriginalMapping` in interface `Mapping.LineMappingOrBuilder`
Returns:
  Whether the originalMapping field is set.

### getOriginalMapping

public Mapping.OriginalMapping getOriginalMapping()

     The original mapping for this line mapping.

`optional .sourcemap.OriginalMapping original_mapping = 3;`

Specified by:
  `getOriginalMapping` in interface `Mapping.LineMappingOrBuilder`
Returns:
  The originalMapping.

### setOriginalMapping

public Mapping.LineMapping.Builder setOriginalMapping(Mapping.OriginalMapping value)

     The original mapping for this line mapping.

`optional .sourcemap.OriginalMapping original_mapping = 3;`

### setOriginalMapping

public Mapping.LineMapping.Builder setOriginalMapping(Mapping.OriginalMapping.Builder builderForValue)

     The original mapping for this line mapping.

`optional .sourcemap.OriginalMapping original_mapping = 3;`

### mergeOriginalMapping

public Mapping.LineMapping.Builder mergeOriginalMapping(Mapping.OriginalMapping value)

     The original mapping for this line mapping.

`optional .sourcemap.OriginalMapping original_mapping = 3;`

### clearOriginalMapping

public Mapping.LineMapping.Builder clearOriginalMapping()

     The original mapping for this line mapping.

`optional .sourcemap.OriginalMapping original_mapping = 3;`

### getOriginalMappingBuilder

public Mapping.OriginalMapping.Builder getOriginalMappingBuilder()

     The original mapping for this line mapping.

`optional .sourcemap.OriginalMapping original_mapping = 3;`

### getOriginalMappingOrBuilder

public Mapping.OriginalMappingOrBuilder getOriginalMappingOrBuilder()

     The original mapping for this line mapping.

`optional .sourcemap.OriginalMapping original_mapping = 3;`

Specified by:
  `getOriginalMappingOrBuilder` in interface `Mapping.LineMappingOrBuilder`

### setUnknownFields

public final Mapping.LineMapping.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.LineMapping.Builder>`

### mergeUnknownFields

public final Mapping.LineMapping.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Mapping.LineMapping.Builder>`